<?php
// START NEWSLATTER SECTION 
$section ='lz_fitness_newslatter_section';
$wp_customize->add_section($section,array('title' => __( 'Newsletter Section', 'lz-fitness-premium' ),'panel' => 'lz_fitness_premium_home_panel',));
    //ENABLE/DISABLE NEWSLATTER SECTION
$wp_customize->add_setting('lz_fitness_newslatter_section_disable',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 'off'));
$wp_customize->add_control(
	new lz_fitness_Switch_Control($wp_customize,'lz_fitness_newslatter_section_disable',
		array(
			'settings'=> 'lz_fitness_newslatter_section_disable',
			'section'=> $section,
			'label'=> __( 'Disable Section', 'lz-fitness-premium' ),
			'on_off_label' => array(
				'on' => __( 'Yes', 'lz-fitness-premium' ),
				'off' => __( 'No', 'lz-fitness-premium' )
			)
		)
	)
);
backgroundManager($wp_customize, 'newslatter', 'lz_fitness_newslatter_section', $color='#ff6796', get_template_directory_uri().'/images/default-gray.png', 'img');

$wp_customize->add_setting('lz_fitness_newslatter_title_subtitle_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading($wp_customize,'lz_fitness_newslatter_title_subtitle_heading',
		array(
			'settings'=> 'lz_fitness_newslatter_title_subtitle_heading',
			'section'=> 'lz_fitness_newslatter_section',
			'label'=> __( 'Section Title', 'lz-fitness-premium')
		)
	)
);
$wp_customize->add_setting('lz_newslatter_title',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Subscribe To Our Newsletter', 'lz-fitness-premium' )));
$wp_customize->add_control('lz_newslatter_title',
	array(
		'settings'=> 'lz_newslatter_title',
		'section'=> 'lz_fitness_newslatter_section',
		'type'=> 'text','label'=> __( 'Title', 'lz-fitness-premium' )
	)
);

// Heading color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_HeadingColor', 'lz_fitness_newslatter_section', 'Heading color', '#fff');

$wp_customize->add_setting('lz_fitness_newslatter_form_lbl',array('sanitize_callback' => 'lz_fitness_sanitize_text',));
$wp_customize->add_control(
	new lz_fitness_Customize_Heading(
		$wp_customize,
		'lz_fitness_newslatter_form_lbl',
		array(
			'settings'      => 'lz_fitness_newslatter_form_lbl',
			'section'       => 'lz_fitness_newslatter_section',
			'label'         => __( 'Add Newsletter shortcode', 'lz-fitness-premium' ),
		)
	)
);

$wp_customize->add_setting('lz_newslatter_shortcode',array('sanitize_callback' => 'lz_fitness_sanitize_text','default'=> __( 'Add your form shortcode here', 'lz-fitness-premium' )));
$wp_customize->add_control(
	'lz_newslatter_shortcode',
	array(
		'settings'      => 'lz_newslatter_shortcode',
		'section'       => 'lz_fitness_newslatter_section',
		'type'          => 'text',
		'label'         => __( 'Shortcode', 'lz-fitness-premium' )
	)
);

// Form input text / placeholder color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_iptextColor', 'lz_fitness_newslatter_section', ' Form Input text / placeholder color', '#fff');

// Form input border color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_ipborderColor', 'lz_fitness_newslatter_section', ' Form Input border color', '#fff');

// Form btn text color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_btntextColor', 'lz_fitness_newslatter_section', ' Form button text color', '#fff');

// Form btn bg color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_btnbgColor', 'lz_fitness_newslatter_section', ' Form button background color', '#00beff');

// Form btn border color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_btnborderColor', 'lz_fitness_newslatter_section', ' Form button border color', '#00beff');

// Form btn text hover color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_btntexthoverColor', 'lz_fitness_newslatter_section', ' Form button text hover color', '#fff');

// Form btn bg hover  color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_btnbghoverColor', 'lz_fitness_newslatter_section', ' Form button background hover color', '#ff6796');

// Form btn border hover color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_btnborderhoverColor', 'lz_fitness_newslatter_section', ' Form button border hover color', '#fff');

// Form label color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_formlabelColor', 'lz_fitness_newslatter_section', ' Form label color', '#fff');

// Form text color
addColorPalatOption($wp_customize, 'lz_fitness_newslatter_formtextColor', 'lz_fitness_newslatter_section', ' Form text color', '#fff');
// EDN NEWSLATTER SECTION 